<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Feel RSS WebSite</title>
</head>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>



<body>
    <h1>Welcome! </h1>
    <h2>
        In this page you can receive the last news about the site you follow.
    </h2>
    <p> Here there are the list of your chosen sites. </p>

    <script>
        /*axios.get('http://localhost:8080/getPosts')
            .then((res) => {
                populateData(res.data);
            });
        const populateData = (data) => {
            console.log(data);
            let card = "";
            let updates = "";
            let deletes = "";
            if (data.length < 0) {
                return
            }
            for (let i = 0; i < data.length; i++) {
                card += `                
                        <div class = "container">                 
                                <td>  ${data[i].name}  </td>
                            
                        </div>
                    `;
                updates +=
                    `
                            <td>    
                                <form action="/update/${data[i]._id}" method="get">
                                    <button type="submit"> Update </button>
                                </form>
                            </td> `;
                deletes += `
                            <td>    
                                <form action="/cancella/${data[i]._id}" method="GET">
                                    <button type="submit" name="id" value="${data[i]._id}"> Delete </button>
                                </form>
                            </td> `;
                document.getElementById("posts_row").innerHTML = card;
                document.getElementById("updates_row").innerHTML = updates;
                document.getElementById("deletes_row").innerHTML = deletes;

            }
        }*/
    </script>
<!--    <section class="all_posts mt-5">
        <div class="container">
            <table>
                <tr>
                    <th> Names</th>
                    <th> Actions </th>
                </tr>
                <tr>
                    <td>
                        <div class="row" id="posts_row"></div>
                    </td>
                    <td>
                        <div class="row" id="updates_row"></div>
                    </td>
                    <td>
                        <div class="row" id="deletes_row"></div>
                    </td>
                </tr>
            </table>
        </div>
    </section> 
    -->
    <div>
        <table cellspacing=5 cellpadding=5>
            <tr>
                <th> Names</th>
                <th> Action </th>
            </tr>
            <% data.forEach (post=> { %>
                <tr>
                    <td>
                        <div class="row">
                            <%= post.name %>
                        </div>
                    </td>
                    <td>
                        <div class="row">
                            <form action="/update/<%=post._id%>" method="get">
                                <button type="submit"> Update </button>
                            </form>
                        </div>
                    </td>
                    <td>
                        <div class="row">
                            <form action="/remove/<%=post._id%>" method="get">
                                <button type="submit"> Delete </button>
                            </form>
                        </div>
                    </td>
                </tr>
                <%}) %>

        </table>

    </div>
    <section class="new_post">
        <div class="container">
            <p> If you want to add another site click here:
            <form action="/new" method="GET">
                <button type="submit"> Add </button>
            </form>
        </div>
    </section>

</body>

</html>